# eKomi Ratings and Reviews Plugin for Prestashop 

Ekomi is the leading third-party review service, specializing in the collection, management and publishing of seller and product ratings for businesses. Thanks to our constant innovation and market-leading technology, we offer the most flexible review generation methods, allowing you to reach all your clients, both online and offline to request their feedback. The more ratings you get for your business, the more traffic you drive to your site, the more trust you create among current and potential clients, and the more you will boost your sales and ROI.

With our official eKomi Plugin for Prestashop you can now seamlessly integrate our eKomi review collection and display technology with your shop system and website. Automatically trigger the sending of a review request the moment an order has reached a predefined stat	us, and display any product reviews received automatically on the corresponding product pages with our review container. This allows you to generate and display genuine client reviews, all while we syndicate your seller ratings to Google, Bing and Yahoo.
Please note that you will need an eKomi account to use the plugin, and our standard packages start at $49 monthly. For a live demonstration of our product, feel free to book your most convenient time slot here, or alternatively email us at support@ekomi.de.

<p>
<strong>Key features of the plugin:</strong>
</p>
<ul>
<li>The necessary order details are automatically read in from your shop system database which will enable eKomi to send your client a review request.</li>
<li>Determine which order status should trigger the review request	</li>
<li>Contact your clients via email or SMS.*</li>
<li>Request both seller and product* reviews from your clients.</li>
<li>Display product reviews and ratings automatically on the corresponding product pages through our Product Review Container (PRC)</li>

</ul>

<strong>Working with eKomi allows your to:</strong>
- Collect authentic seller and product ratings and reviews.	
Sign up for simple, configurable, grouped and bundle products.
- Personalize every aspect of your communication with your customers, from the email / SMS templates, to the look, contents and feel of the review form. 
- Boost customer loyalty and incentivise return purchases with our coupon feature.
- Manage your reviews with the help of our dedicated Customer Feedback Management team, who checks each and every review to make sure it is third-party compliant.	
- React to your feedback publicly, or moderate it privately through our dialogue feature to improve your customer service and feedback.
- Syndicate all of your seller ratings and reviews automatically to Google, Bing and Yahoo. 	
- Activate your Seller Rating Extension to display stars on your Ads and increase your Click-through-rate by 17%.	
- Enable Review Rich Snippets and show stars next to your organic results to enhance your visibility and drive more relevant traffic to your site.	
- Display your eKomi Seal and Review Widget on your webpage to build trust and confidence among your website visitors, turning more browsers into 	buyers and increasing sales.	
- Feature all of your reviews on your business Certificate Page, to help clients with their purchasing decision.

eKomi is available in English, French, German, Spanish, Dutch, Italian, Portuguese, Polish, Russian, Swedish, Finnish, Norwegian, Czech, Hungarian, Turkish, Hebrew, Arabic, Thai, Japanese and Korean.

If you have any questions regarding the plugin, please get in touch! Email us at support@ekomi.de, call us on +1 844-356-6487, or fill out our contact form.

## System Requirements
- PHP version 5.0 or greater
- MySQL version 5.6 or greater
- Prestashop Version 1.5.x.x (min)


## Documentation

-  [Documentation / User Guide](https://ekomi01.atlassian.net/wiki/spaces/PD/pages/103743561/Documentation+-+eKomi+Feedback+Plugin+-+Prestashop")
 
## Installation
                   
__Module Installation (administration panel)__

**1-** Login to administration panel
 
**2-** Go to administration panel → Modules.
 
**3-** Connect to PrestaShop Addons
 
**4-** In the modules tab, click on add a new module

- Specify its URL in the Module URL field and then click on Download this module
 
- If the file is on your computer, click on Browse to open the dialogue box letting you search your computer, select the file then validate the dialogue box.
 
- Finally click on Upload this module.
 
**5-** Locate the new module in the list, filter by author eKomi or scroll down if necessary.
 
**6-** Click on the install button to install the module.
 
**7-** Click on the configure button to configure the module.

**8-** Provide required information to enable the module
 
__Module Installation (via ftp)__
 
**1-** Unzip (decompress) the module archive file

**2-** Place the modules folder in your PrestaShop root folder Using FTP/SFTP
 
**3-** Login to the administration panel of your shop
 
**4-** Follow step # **2, 5, 6, 7** and **8** from above section respectively.
 
 ## Deployment

Steps to deploy this on a live system.
* Create zip of directory `ekomiratingsandreviews` in `modules` folder.
* Upload the plugin from Prestashop admin (Modules -> "Upload a Module").
* Go to "Installed modules", find "eKomi Ratings and Reviews" and configure the plugin.
* Fill the required fields, enable the plugin and click "save".

### Built With

* Smarty templating engine.
* Prestashop Native APIs.

### Files To Update When Changing Plugin Version

- README.md
- ekomiratingsandreviews.php
- config.xml
 
### Troubleshooting

Our eKomi headquarters in Berlin is the best place to start if you need help with this plugin. There our technical support team will get you up and running in time. You can book assistance at: http://ssi.ekomi.com/booking.
Plugin information
- Maintenance status: Minimally maintained
- Development status: Stable
- Downloads: 0
- Last modified: OCt 26, 2018
 
 
## Versioning

### v1.0.0 (13-12-2017)

- A complete working plugin.

### v1.0.1 (12-01-2018)

- Validation errors fixed.

### v1.1.0 (17-01-2018)

- Notification review link and Portuguese transaltion file added.

### v1.2.0 (12-02-2018)

- Interactive Screens added.

### v1.3.0 (20-02-2018)

- Compatible with multilingual. 

### v1.5.0 (26-10-2018)

- Smart check feature
- Option to select id/sku
- Option to exclude products
- Sending product image and URL
- Remove eKomi Product reviews container
- Integration of smart widget with integration plugin. 

### v1.5.1 (19-11-2018)

- Compatibility issue fixed

### v1.6.0 (16-01-2019)

- Added cron job as a new export method.
- Updated translation files.
- Code alignment & optimization.

### v1.6.1 (12-02-2019)

- Added try catch around getProductLink and getImageLink methods.
- Fixed ekomiSmartPrc hook registration while updating the plugin.

### v1.6.2 (14-05-2019)

- Fixed compatibility issue on prestashop 1.5.x.x

### v1.6.3 (06-12-2019)

- Removed option to enable Smart Check.

### v1.7.0 (26-03-2020)

- Added EAN in product identifiers list.

### v1.7.1 (18-05-2020)

- Updated description for turnaround time.

### v1.7.2 (19-03-2021)

- Added terms and conditions for the plugin.

### v1.7.3 (04-01-2022)

- Added strings on translation object
- Add core api param

### v1.7.4 (02-02-2022)

- Added spanish translations
- Added italian translations
- Added portuguese translations
- Added german translations
- Added french translations
- Added dutch translations

### v1.8 (12-06-2023)

- Make compatible for Prestashop version 8

### v1.8.1 (04-09-2023)

- Make plugin compatible for older version of Prestashop

### v1.8.2 (08-01-2024)

- Fixed product page which was not showing due to compatibility of latest version

### Known Issues/bugs in current version

- None

## License

Proprietary.